| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | Private Attributes | List of all members
IG.Crypto.CryptoParameters Class Reference

This class contains key parameters of the cryptographic operations performed on some item. More...

Inheritance diagram for IG.Crypto.CryptoParameters:
[legend]

## Public Member Functions
| CryptoParameters ()
void | Reset ()
| Resets the state. More...
bool | IsFlagsSet (params CryptoFlags[] whichFlags)
| Returns true if ALL the specified flags are set, or false if some of them are unset. More...
bool | IsAnyFlagSet (params CryptoFlags[] whichFlags)
| Returns true if any of the specified flags is set, or false if none of them is set. More...
void | SetFlags (params CryptoFlags[] whichFlags)
| Sets the specified flags. More...
void | ClearFlags (CryptoFlags firstFlags, params CryptoFlags[] whichFlags)
| Clears the specified flags. More...
void | ClearAllFlags ()
| Clears all flags. More...

## Properties
CryptoFlags | Flags`[get, private set]`
| Flags for cryptographic operations performed. More...

## Private Attributes
CryptoFlags | _flags = CryptoFlags.None

## Detailed Description

This class contains key parameters of the cryptographic operations performed on some item.

Class also handles some tasks that enable consisstent performance of operations, such as writing and reading cryptographic heads of encrypted files and data.

This is the base class for

$A Igor May15;

## Constructor & Destructor Documentation

IG.Crypto.CryptoParameters.CryptoParameters | ( |  | ) |
| inline

## Member Function Documentation

void IG.Crypto.CryptoParameters.Reset | ( |  | ) |
| inline

Resets the state.

bool IG.Crypto.CryptoParameters.IsFlagsSet | ( | params CryptoFlags[] | whichFlags | ) |
| inline

Returns true if ALL the specified flags are set, or false if some of them are unset.

Parameters

  whichFlags | Specifies which flags are queried. A set of one or more values can be specified, of which each one can be an orred combination of flags to be queried.

bool IG.Crypto.CryptoParameters.IsAnyFlagSet | ( | params CryptoFlags[] | whichFlags | ) |
| inline

Returns true if any of the specified flags is set, or false if none of them is set.

Parameters

  whichFlags | Specifies which flags are queried. A set of one or more values can be specified, of which each one can be an orred combination of flags to be queried.

void IG.Crypto.CryptoParameters.SetFlags | ( | params CryptoFlags[] | whichFlags | ) |
| inline

Sets the specified flags.

Parameters

  whichFlags | Specifies which flags are set. A single flag can be specified such as CryptoFlags.Hashing, or an orred combination of flags to be set.

void IG.Crypto.CryptoParameters.ClearFlags | ( | CryptoFlags | firstFlags,
|  | params CryptoFlags[] | whichFlags
| ) |  |
| inline

Clears the specified flags.

Parameters

  firstFlags | The same as whichFlags . This argument is actually the first of flags that are taken into account, ensuring that at least one value is specified in the call with variable number of arguments.
  whichFlags | Specifies which flags are cleared. A set of one or more values can be specified, of which each one can be an orred combination of flags to be set.

void IG.Crypto.CryptoParameters.ClearAllFlags | ( |  | ) |
| inline

Clears all flags.

## Member Data Documentation

CryptoFlags IG.Crypto.CryptoParameters._flags = CryptoFlags.None
| private

## Property Documentation

CryptoFlags IG.Crypto.CryptoParameters.Flags
| get private set

Flags for cryptographic operations performed.

Warning: don't set the whole flags direcryl, only individual flags should be set!

CryptoFlags.

The documentation for this class was generated from the following file:

- igbase/utilities/UtilCryptoAux.cs